ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# SequenceRecord 

###
Companion object SequenceRecord

#### case class SequenceRecord(name: String, length: Long, url: Option[String], md5: Option[String], refseq: Option[String], genbank: Option[String], assembly: Option[String], species: Option[String], index: Option[Int]) extends Serializable with Product

Metadata about a single reference sequence.

name

  The name of this reference in the assembly.

length

  The length of the sequence for this reference.

url

  If available, the URI from which the reference sequence was obtained.

md5

  If available, the MD5 checksum uniquely representing this reference as a lower-case hexadecimal string, calculated as the MD5 of the upper-case sequence excluding all whitespace characters (equivalent to SQ:M5 in SAM).

refseq

  If available, the REFSEQ ID for the reference.

genbank

  If available, the Genbank ID for the reference.

assembly

  If available, the name of the assembly for this reference.

species

  If available, the species that this reference is for.

index

  If available, the number of this reference in a set of references.

Linear Supertypes
Product, Equals, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceRecord
2. Product
3. Equals
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SequenceRecord(name: String, length: Long, url: Option[String], md5: Option[String], refseq: Option[String], genbank: Option[String], assembly: Option[String], species: Option[String], index: Option[Int])

   name

     The name of this reference in the assembly.

   length

     The length of the sequence for this reference.

   url

     If available, the URI from which the reference sequence was obtained.

   md5

     If available, the MD5 checksum uniquely representing this reference as a lower-case hexadecimal string, calculated as the MD5 of the upper-case sequence excluding all whitespace characters (equivalent to SQ:M5 in SAM).

   refseq

     If available, the REFSEQ ID for the reference.

   genbank

     If available, the Genbank ID for the reference.

   assembly

     If available, the name of the assembly for this reference.

   species

     If available, the species that this reference is for.

   index

     If available, the number of this reference in a set of references.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val assembly: Option[String]
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(o: Any): Boolean
   Definition Classes
     SequenceRecord → Equals → AnyRef → Any
9.  val genbank: Option[String]
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  val index: Option[Int]
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val length: Long
14.  val md5: Option[String]
15.  val name: String
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  val refseq: Option[String]
20.  val species: Option[String]
21.  def stripIndex: SequenceRecord

    returns

      Returns a new sequence record with the index unset.

22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toADAMReference: Reference

    returns

      Builds an Avro Reference representation from this record.

24.  def toSAMSequenceRecord: SAMSequenceRecord

    Converts this sequence record into a SAM sequence record.

    Converts this sequence record into a SAM sequence record.

    returns

      A SAM formatted sequence record.

25.  def toString(): String
    Definition Classes
      SequenceRecord → AnyRef → Any
26.  val url: Option[String]
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Product

### Inherited from Equals

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped